{% extends "layout.html" %}
{% block title %} Combat Management System Prototype {% endblock %}
{% block head %} {{ super() }} {% endblock %}
{% block body %} {{ super() }}
<h1><center> <span class="c1 c25">Combat Management System Prototype:</span></h1></center></h1>
{% if TrackHandler is defined %}
<p class="infotitle"><strong>TrackHandler Service  Information:</strong>{{TrackHandler}}<br></p>
{% endif %}
<table border=0 aria-describedby="AIVDMDisplay Prototype">
</table>
<div style="display: flex;" >
  <div id="trackinfo" class="infotrack"style ="width: 150px; border: 1px solid #73AD21;">
    <details open>
      <summary><strong>Weapons:</strong></summary>
      <div id="weaponTrackslist" class="infotrack"></div>
    </details>
    <hr>
    <details open>
      <summary><strong>OwnShips:</strong></summary>
      <div id="ownShipTrackslist" class="infotrack"></div>
    </details>
    <hr>
    <details open>
      <summary><strong>AISTracks:</strong></summary>
      <div id="aisTrackslist" class="infotrack"></div>
    </details>
  </div>
  <div id="map" style ="width: 1450px; height: 1000px; border: 1px solid #73AD21;"></div>
  <div>
  <div id="trackdetails" class="trackdetails"style ="width: 300px; border: 1px solid #73AD21;">
    <p class="trackdetails"><strong> Track Info Area:</strong><hr> Please Select a Track</p>
  </div>
  <div id="trackcontrolarea" class="trackcontrolarea">
    <p class="trackcontrolarea"><strong> Track Control Area:</strong><hr> Please Select a Track</p>
  </div>
  <div id="launchingarea" class="launchingarea">
    <p class="launchingarea"><strong> Launching Area:</strong><hr>
      <form action="/ownship" autocomplete="on" method="POST" role="form">
        <input type="hidden" name="csrf_token" value="{{ csrf_token() }}"/>
        <p class="infotitle" id="startNavInfo">
          <strong>Launch your boat:<br>  MMSI (number): </strong> <input type='text' id="start_ownship_id" size='14' name='ownship_mmsi' /><br>
          <strong>Click on Map to Initial Lat/Long:</strong><br> (<input type='text' id="start_ownship_lat" name='ownship_lat' size='18'/>, 
          <input type='text'  id="start_ownship_lng" name='ownship_lng' size='18'/>)<br>
          <strong>Speed Over Ground: </strong><input type='text' size='3' name='ownship_sog' value='0' /><br>
          <strong>Course Over Ground: </strong><input type='text' size='5' name='ownship_cog' value='000' /><br>
          <input type='submit' id='ownship_submit' value='Start Navigation'/>
        </p>
      </form>
    </p>
    <div id="launchingareaslider" class="launchingareaslider"></div>
    <p class="infotitle">
      <ul>
        <li>Use the <a href="/inject">AIS Sender Mock</a> to emulate AIVDMMessages.</li>
        <li>Or click <a href="/reset">HERE</a> to call DELETE ALL AISTracks on TrackHandler REST Service.</li>
        <li>You can also reset your OwnShip(s) clicking <a href="/ownreset">HERE</a></li>
        <li>Or Abort ALL FIRES clicking <a href="/abortfires">HERE</a></li>
      </ul> 
    </p>
  </div>  
</div>
</div>
<script type="module">
  import LatLonSpherical from '/static/latlon-spherical.js';
  import CMSMap from '/static/cmsMap.js';

var nurseIcon = L.icon({
    iconUrl: '{{ url_for('static', filename='nurse.png') }}',
    iconAnchor: [17, 38]
});

  // {s}, {z}, {x} and {y} are placeholders for map tiles
  // {x} and {y} are the x/y of where you are on the map
  // {z} is the zoom level
  // {s} is the subdomain of cartodb
    var layer = L.tileLayer('http://{s}.basemaps.cartocdn.com/light_all/{z}/{x}/{y}.png', {
    attribution: '&copy; <a href="http://www.openstreetmap.org/copyright">OpenStreetMap</a> contributors, &copy; <a href="http://cartodb.com/attributions">CartoDB</a>'
  });

  new CMSMap(L.map('map'));

    /*
    const newShipCourse = new CircularSlider({container: 'launchingareaslider', color: "#5d3b6d", max: 3599, min: 0, step: 1, radius: 190, 
        valueChange: val => {  document.getElementById('ownship_cog').value = val/10; }});
    const newShipSpeed = new CircularSlider({container: 'launchingareaslider', color: "#127fc3", min: 0, max: 1000, step: 1, radius: 160, 
        valueChange: val => {  document.getElementById('ownship_sog').value = val/10; }});
    */
  

  window.addEventListener("load", async function() { 
      CMSMap.buildMockedRoute();
      await CMSMap.updateMap(); 
      CMSMap.updateSlider();
  });

     
  L.marker([32.790146345771525,-96.7778799557135],{icon:nurseIcon}).addTo(CMSMap.map);

  CMSMap.map.addLayer(layer);
 
</script>
{% endblock %}
